## org.apache.batik.dom.svg
Class AbstractSVGPathSegList.PathSegListBuilder

    java.lang.Object
      org.apache.batik.parser.DefaultPathHandler
          org.apache.batik.dom.svg.AbstractSVGPathSegList.PathSegListBuilder

All Implemented Interfaces:
  PathHandler

Enclosing class:
  AbstractSVGPathSegList

protected class AbstractSVGPathSegList.PathSegListBuilder
extends DefaultPathHandler

Field Summary
`protected ListHandler` `listHandler`

Fields inherited from class org.apache.batik.parser.DefaultPathHandler
`INSTANCE`

Constructor Summary
`AbstractSVGPathSegList.PathSegListBuilder(ListHandler listHandler)`

Method Summary
`void` `arcAbs(float rx, float ry, float xAxisRotation, boolean largeArcFlag, boolean sweepFlag, float x, float y)` Implements `PathHandler.arcAbs(float,float,float,boolean,boolean,float,float)`.
`void` `arcRel(float rx, float ry, float xAxisRotation, boolean largeArcFlag, boolean sweepFlag, float x, float y)` Implements `PathHandler.arcRel(float,float,float,boolean,boolean,float,float)`.
`void` `closePath()` Implements `PathHandler.closePath()`.
`void` `curvetoCubicAbs(float x1, float y1, float x2, float y2, float x, float y)` Implements `PathHandler.curvetoCubicAbs(float,float,float,float,float,float)`.
`void` `curvetoCubicRel(float x1, float y1, float x2, float y2, float x, float y)` Implements `PathHandler.curvetoCubicRel(float,float,float,float,float,float)`.
`void` `curvetoCubicSmoothAbs(float x2, float y2, float x, float y)` Implements `PathHandler.curvetoCubicSmoothAbs(float,float,float,float)`.
`void` `curvetoCubicSmoothRel(float x2, float y2, float x, float y)` Implements `PathHandler.curvetoCubicSmoothRel(float,float,float,float)`.
`void` `curvetoQuadraticAbs(float x1, float y1, float x, float y)` Implements `PathHandler.curvetoQuadraticAbs(float,float,float,float)`.
`void` `curvetoQuadraticRel(float x1, float y1, float x, float y)` Implements `PathHandler.curvetoQuadraticRel(float,float,float,float)`.
`void` `curvetoQuadraticSmoothAbs(float x, float y)` Implements `PathHandler.curvetoQuadraticSmoothAbs(float,float)`.
`void` `curvetoQuadraticSmoothRel(float x, float y)` Implements `PathHandler.curvetoQuadraticSmoothRel(float,float)`.
`void` `endPath()` Implements `PathHandler.endPath()`.
`void` `linetoAbs(float x, float y)` Implements `PathHandler.linetoAbs(float,float)`.
`void` `linetoHorizontalAbs(float x)` Implements `PathHandler.linetoHorizontalAbs(float)`.
`void` `linetoHorizontalRel(float x)` Implements `PathHandler.linetoHorizontalRel(float)`.
`void` `linetoRel(float x, float y)` Implements `PathHandler.linetoRel(float,float)`.
`void` `linetoVerticalAbs(float y)` Implements `PathHandler.linetoVerticalAbs(float)`.
`void` `linetoVerticalRel(float y)` Implements `PathHandler.linetoVerticalRel(float)`.
`void` `movetoAbs(float x, float y)` Implements `PathHandler.movetoAbs(float,float)`.
`void` `movetoRel(float x, float y)` Implements `PathHandler.movetoRel(float,float)`.
`void` `startPath()` Implements `PathHandler.startPath()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listHandler

    protected ListHandler listHandler

Constructor Detail

### AbstractSVGPathSegList.PathSegListBuilder

    public AbstractSVGPathSegList.PathSegListBuilder(ListHandler listHandler)

Method Detail

### startPath

    public void startPath()
                   throws ParseException

  Implements `PathHandler.startPath()`.

  Specified by:
    `startPath` in interface `PathHandler`
  Overrides:
    `startPath` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### endPath

    public void endPath()
                 throws ParseException

  Implements `PathHandler.endPath()`.

  Specified by:
    `endPath` in interface `PathHandler`
  Overrides:
    `endPath` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### movetoRel

    public void movetoRel(float x,
                          float y)
                   throws ParseException

  Implements `PathHandler.movetoRel(float,float)`.

  Specified by:
    `movetoRel` in interface `PathHandler`
  Overrides:
    `movetoRel` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### movetoAbs

    public void movetoAbs(float x,
                          float y)
                   throws ParseException

  Implements `PathHandler.movetoAbs(float,float)`.

  Specified by:
    `movetoAbs` in interface `PathHandler`
  Overrides:
    `movetoAbs` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### closePath

    public void closePath()
                   throws ParseException

  Implements `PathHandler.closePath()`.

  Specified by:
    `closePath` in interface `PathHandler`
  Overrides:
    `closePath` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### linetoRel

    public void linetoRel(float x,
                          float y)
                   throws ParseException

  Implements `PathHandler.linetoRel(float,float)`.

  Specified by:
    `linetoRel` in interface `PathHandler`
  Overrides:
    `linetoRel` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### linetoAbs

    public void linetoAbs(float x,
                          float y)
                   throws ParseException

  Implements `PathHandler.linetoAbs(float,float)`.

  Specified by:
    `linetoAbs` in interface `PathHandler`
  Overrides:
    `linetoAbs` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### linetoHorizontalRel

    public void linetoHorizontalRel(float x)
                             throws ParseException

  Implements `PathHandler.linetoHorizontalRel(float)`.

  Specified by:
    `linetoHorizontalRel` in interface `PathHandler`
  Overrides:
    `linetoHorizontalRel` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### linetoHorizontalAbs

    public void linetoHorizontalAbs(float x)
                             throws ParseException

  Implements `PathHandler.linetoHorizontalAbs(float)`.

  Specified by:
    `linetoHorizontalAbs` in interface `PathHandler`
  Overrides:
    `linetoHorizontalAbs` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### linetoVerticalRel

    public void linetoVerticalRel(float y)
                           throws ParseException

  Implements `PathHandler.linetoVerticalRel(float)`.

  Specified by:
    `linetoVerticalRel` in interface `PathHandler`
  Overrides:
    `linetoVerticalRel` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### linetoVerticalAbs

    public void linetoVerticalAbs(float y)
                           throws ParseException

  Implements `PathHandler.linetoVerticalAbs(float)`.

  Specified by:
    `linetoVerticalAbs` in interface `PathHandler`
  Overrides:
    `linetoVerticalAbs` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### curvetoCubicRel

    public void curvetoCubicRel(float x1,
                                float y1,
                                float x2,
                                float y2,
                                float x,
                                float y)
                         throws ParseException

  Implements `PathHandler.curvetoCubicRel(float,float,float,float,float,float)`.

  Specified by:
    `curvetoCubicRel` in interface `PathHandler`
  Overrides:
    `curvetoCubicRel` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### curvetoCubicAbs

    public void curvetoCubicAbs(float x1,
                                float y1,
                                float x2,
                                float y2,
                                float x,
                                float y)
                         throws ParseException

  Implements `PathHandler.curvetoCubicAbs(float,float,float,float,float,float)`.

  Specified by:
    `curvetoCubicAbs` in interface `PathHandler`
  Overrides:
    `curvetoCubicAbs` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### curvetoCubicSmoothRel

    public void curvetoCubicSmoothRel(float x2,
                                      float y2,
                                      float x,
                                      float y)
                               throws ParseException

  Implements `PathHandler.curvetoCubicSmoothRel(float,float,float,float)`.

  Specified by:
    `curvetoCubicSmoothRel` in interface `PathHandler`
  Overrides:
    `curvetoCubicSmoothRel` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### curvetoCubicSmoothAbs

    public void curvetoCubicSmoothAbs(float x2,
                                      float y2,
                                      float x,
                                      float y)
                               throws ParseException

  Implements `PathHandler.curvetoCubicSmoothAbs(float,float,float,float)`.

  Specified by:
    `curvetoCubicSmoothAbs` in interface `PathHandler`
  Overrides:
    `curvetoCubicSmoothAbs` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### curvetoQuadraticRel

    public void curvetoQuadraticRel(float x1,
                                    float y1,
                                    float x,
                                    float y)
                             throws ParseException

  Implements `PathHandler.curvetoQuadraticRel(float,float,float,float)`.

  Specified by:
    `curvetoQuadraticRel` in interface `PathHandler`
  Overrides:
    `curvetoQuadraticRel` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### curvetoQuadraticAbs

    public void curvetoQuadraticAbs(float x1,
                                    float y1,
                                    float x,
                                    float y)
                             throws ParseException

  Implements `PathHandler.curvetoQuadraticAbs(float,float,float,float)`.

  Specified by:
    `curvetoQuadraticAbs` in interface `PathHandler`
  Overrides:
    `curvetoQuadraticAbs` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### curvetoQuadraticSmoothRel

    public void curvetoQuadraticSmoothRel(float x,
                                          float y)
                                   throws ParseException

  Implements `PathHandler.curvetoQuadraticSmoothRel(float,float)`.

  Specified by:
    `curvetoQuadraticSmoothRel` in interface `PathHandler`
  Overrides:
    `curvetoQuadraticSmoothRel` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### curvetoQuadraticSmoothAbs

    public void curvetoQuadraticSmoothAbs(float x,
                                          float y)
                                   throws ParseException

  Implements `PathHandler.curvetoQuadraticSmoothAbs(float,float)`.

  Specified by:
    `curvetoQuadraticSmoothAbs` in interface `PathHandler`
  Overrides:
    `curvetoQuadraticSmoothAbs` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### arcRel

    public void arcRel(float rx,
                       float ry,
                       float xAxisRotation,
                       boolean largeArcFlag,
                       boolean sweepFlag,
                       float x,
                       float y)
                throws ParseException

  Implements `PathHandler.arcRel(float,float,float,boolean,boolean,float,float)`.

  Specified by:
    `arcRel` in interface `PathHandler`
  Overrides:
    `arcRel` in class `DefaultPathHandler`
  Throws:
    `ParseException`

### arcAbs

    public void arcAbs(float rx,
                       float ry,
                       float xAxisRotation,
                       boolean largeArcFlag,
                       boolean sweepFlag,
                       float x,
                       float y)
                throws ParseException

  Implements `PathHandler.arcAbs(float,float,float,boolean,boolean,float,float)`.

  Specified by:
    `arcAbs` in interface `PathHandler`
  Overrides:
    `arcAbs` in class `DefaultPathHandler`
  Throws:
    `ParseException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.